Get deploy hook
GET/accounts/{account_id}/builds/workers/{script_name}/deploy_hooks/{deploy_hook_uuid}
Get details of a specific deploy hook.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Path Parameters
Get deploy hook
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/builds/workers/$SCRIPT_NAME/deploy_hooks/$DEPLOY_HOOK_UUID \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"code": 12000,
"message": "Not found"
}
],
"messages": [
"string"
],
"result": {
"branch": "main",
"created_on": "2019-12-27T18:11:19.117Z",
"deploy_hook_name": "Production Deploy Hook",
"deploy_hook_uuid": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"external_script_id": "dd7160bb9cef458093557736f4b9e75b",
"modified_on": "2019-12-27T18:11:19.117Z"
},
"success": true,
"result_info": {
"count": 25,
"page": 1,
"per_page": 50,
"total_count": 150,
"total_pages": 3
}
}{
"errors": [
{
"code": 12000,
"message": "Not found"
}
],
"messages": [],
"result": null,
"success": false
}Returns Examples
{
"errors": [
{
"code": 12000,
"message": "Not found"
}
],
"messages": [
"string"
],
"result": {
"branch": "main",
"created_on": "2019-12-27T18:11:19.117Z",
"deploy_hook_name": "Production Deploy Hook",
"deploy_hook_uuid": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"external_script_id": "dd7160bb9cef458093557736f4b9e75b",
"modified_on": "2019-12-27T18:11:19.117Z"
},
"success": true,
"result_info": {
"count": 25,
"page": 1,
"per_page": 50,
"total_count": 150,
"total_pages": 3
}
}{
"errors": [
{
"code": 12000,
"message": "Not found"
}
],
"messages": [],
"result": null,
"success": false
}